Package: org.gradle.plugins.ide.idea.model

## [Groovy] Class IdeaWorkspace

- org.gradle.plugins.ide.idea.model.IdeaWorkspace

- Enables fine-tuning workspace details (*.iws file) of the IDEA plugin.

  At the moment, the only practical way of manipulating the resulting content is via the withXml hook:

       apply plugin: 'java'
       apply plugin: 'idea'

       idea.workspace.iws.withXml { provider ->
           provider.asNode().appendNode('gradleRocks', 'true')
       }

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `XmlFileContentMerger` | `iws` Enables advanced manipulation of the output XML.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `iws(groovy.lang.Closure closure)` Enables advanced manipulation of the output XML.
    `void` | `mergeXmlWorkspace(Workspace xmlWorkspace)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### XmlFileContentMerger iws

      Enables advanced manipulation of the output XML.

      For example see docs for IdeaWorkspace

  - ### Method Detail

    - #### void iws(groovy.lang.Closure closure)

      Enables advanced manipulation of the output XML.

      For example see docs for IdeaWorkspace

      Parameters:
        closure

    - #### void mergeXmlWorkspace(Workspace xmlWorkspace)